<?php

namespace App\Livewire\Forms;

use Illuminate\Support\Facades\DB;
use Livewire\Component;
use Livewire\Attributes\On;

class DataSelect extends Component
{
    public $search;
    public $model;
    public $table;
    public $column;
    public $isVisible = false;
    public function render()
    {
        return view('livewire.forms.data-select', 
    ['datas' => DB::table($this->table)->select($this->column)->where($this->column, 'like','%'.$this->search.'%')->distinct()->limit(10)->get()]);
    }
    #[On('clear-data-select')] 
    public function clearInput()
    {
        $this->search = null;
    }
 
    
    public function sendValue($data=null){
        if(empty($data)){
            $data = [
                'code' => "00000000",
                'designation' => 'Nouvelle pièce',
                'prix_unitaire' => 0
            ];
        }
        $this->dispatch('update-data', data: $data);
        $this->search = $data["designation"];
        $this->isVisible = false;

    }
}
