<?php
namespace App\Livewire\Forms;

use Livewire\Attributes\Modelable;
use Livewire\Component;
use Illuminate\Support\Facades\DB;

class InputAutocomplete extends Component
{
    public $query = '';
    public $results = [];
    public $table;
    public $placeholder;
    public $column;
    #[Modelable]
    public $selectedValue; // La valeur liée à la propriété du parent

    public function updatedQuery()
    {
        if (strlen($this->query) > 1) {
            $this->results = DB::table($this->table)
                ->select($this->column)
                ->where($this->column, 'like', '%' . $this->query . '%')
                ->distinct()
                ->limit(10)
                ->get()
                ->pluck($this->column)
                ->toArray();
            
           $this->selectedValue = $this->query;
        }
        
    }

    public function selectResult($value)
    {
        $this->query = $value;
        $this->results = [];

        // Mettre à jour la valeur sélectionnée
        $this->selectedValue = $value;
    }
    public function onBlur()
    {
        $this->selectedValue = $this->query;
    }
    public function render()
    {
        return view('livewire.forms.input-autocomplete');

    }
}
