<?php

namespace App\Livewire\Forms;

use App\Models\MagPiece;
use Livewire\Component;
use Livewire\Attributes\On;

class PieceSelect extends Component
{
    public $search;
    public $model;
    public $isVisible = false;
    public function render()
    {
        return view('livewire.forms.piece-select', 
    ['pieces' => MagPiece::select('code', 'designation','prix_unitaire','categorie_id')->where('designation', 'like','%'.$this->search.'%')->orWhere('code', 'like','%'.$this->search.'%')->limit(10)->get()]);
    }
    #[On('clear-piece-select')] 
    public function clearInput()
    {
        $this->search = null;
    }
 
    
    public function sendValue($piece=null){
        if(empty($piece)){
            $piece = [
                'code' => "00000000",
                'designation' => 'Nouvelle pièce',
                'prix_unitaire' => 0,
                'categorie_id'=> null
            ];
        }
        $this->dispatch('update-data', data: $piece);
        $this->search = $piece["designation"];
        $this->isVisible = false;

    }
}
