<?php

namespace App\Livewire\Owner;

use App\Models\Paiement;
use App\Models\Sale;
use Carbon\Carbon;
use Livewire\Component;

class CaisseComponent extends Component
{
    public $date;
    public $payments = [];
    public $creances = [];
    public $modes_paiement = [[ 'name' => 'Cash', 'image' => 'cash.png' ],
    [ 'name' => 'Wave', 'image' => 'wave.png' ],[ 'name' => 'Orange Money', 'image' => 'orange-money.png' ],
    [ 'name' => 'Cheque', 'image' => 'cheque.png' ],[ 'name' => 'Virement', 'image' => 'virement.png' ],
    [ 'name' => 'Autre', 'image' => 'other.png' ] ];
    public function render()
    {
        return view('livewire.owner.caisse-component');
    }

    public function mount()
    {
        if(empty($this->date)){
            $this->date = Carbon::today()->toDateString();
        }
        $this->filterPayments();
    }

    public function filterPayments()
    {
        $this->payments = Paiement::with('sale')->whereDate('created_at', $this->date)->get();
        $all_factures = Sale::withSum('paiements','amount')->whereDate('created_at', $this->date)->get();
        if(count($all_factures) > 0){
            
            $this->creances = $all_factures->toQuery()->where('total_with_tax','>','paiements_sum_amount')->withSum('paiements','amount')->get();
        }
        
        
    }
    public function changeDate($value){
        
        $this->date =  date('Y-m-d', strtotime($this->date.$value.' day'));
        $this->updatedDate();
    }
    public function updatedDate()
    {
        $this->filterPayments();
    }
}

