<?php

namespace App\Livewire\Owner;

use App\Models\Product;
use Livewire\Component;

class DashboardComponent extends Component
{
    public $totalProducts = 0;
    public $valeurProducts = 0;
    public $valeurVentes = 0;
    public $alertStockCount = 0;
    public $alertStock = [];
    public function render()
    {
        $stock = Product::with('activeSupplyItems')->withSum('activeSupplyItems', 'stock')->where('shop_id', auth()->user()->shop_id)->get()->toArray();
        $this->totalProducts = array_sum(array_column($stock, 'active_supply_items_sum_stock'));
       // dd($stock);
       
        array_map(function($item) {
            $this->valeurProducts += array_sum(array_map(function($subitem) {
                return $subitem['price'] * $subitem['stock'];
            }, $item['active_supply_items']));
        }, $stock);
        array_map(function($item) {
            $this->valeurVentes += array_sum(array_map(function($subitem) use ($item) {
                
                return $item['price'] * $subitem['stock'];
            }, $item['active_supply_items']));
        }, $stock);
       $alert_query = Product::withSum('supplyItems', 'stock')->whereHas('supplyItems', function($query) {
            $query->whereRaw('supply_items.stock <= seuil_stock');
        })->where('shop_id', auth()->user()->shop_id);
        $this->alertStockCount = $alert_query->clone()->count();
        $this->alertStock = $alert_query->clone()->get();
        //dd($this->valeurVentes);
        
        /* $this->valeurVentes = Sale::sum('total_with_tax')->where('shop_id', auth()->user()->shop_id);
        $this->ventesRecentes = Sale::orderBy('created_at', 'desc')->take(5)->get(); */
        return view('livewire.owner.dashboard-component');
    }
}
