<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Categorie extends Model
{
    protected $fillable = ['name', 'description', 'parent_id', 'slug'];

    public function parent()
    {
        return $this->belongsTo(Categorie::class, 'parent_id');
    }
    public function scopeSearch($query, $search)
    {
        return $query->where('name', 'like', '%'.$search.'%')->orWhere('description', 'like', '%'.$search.'%');
    }

}

