<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Product extends Model
{
    protected $fillable= ['name','sku','code_barre','description','categorie_id','price','stock','seuil_stock','shop_id', 'deleted_by'];

    public function categorie()
    {   
        return $this->belongsTo(Categorie::class);
    }

    public function images()
    {
        return $this->hasMany(ProductImages::class);
    }

    public function supplyItems()
    {
        return $this->hasMany(SupplyItem::class);
    }

    public function activeSupplyItems()
    {
        return $this->hasMany(SupplyItem::class)->where('stock', '>', 0);
    }

    public function alertStock()
    {
        return $this->hasMany(SupplyItem::class)->where('stock', '<=', $this->seuil_stock);
    }
}
