<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Sale extends Model
{
    protected $fillable = [
        'invoice_number',
        'total',
        'discount',
        'tax',
        'total_after_discount',
        'total_with_tax',
        'user_id',
    ];

    public function customer()  
    {
        return $this->belongsTo(Customer::class);
    }

    public function items()
    {
        return $this->hasMany(SaleItem::class);
    }

    public function user()
    {
        return $this->belongsTo(User::class);
    }

    public function paiements()
    {
        return $this->hasMany(Paiement::class);
    }

    /* public function getTotalWithTaxAttribute()
    {
        return intval($this->total_after_discount) + intval($this->total_after_discount * $this->tax/100);
    }

    public function getTotalAfterDiscountAttribute()
    {
        return intval($this->total) - intval($this->discount);
    } */
}
