<?php

namespace Database\Seeders;

use App\Models\Categorie;
use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use Illuminate\Support\Str;
class CategorieSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        $categories = [
            ["name" => "Appareils électroniques", "description" => "Dispositifs et gadgets électroniques tels que téléviseurs, ordinateurs, et smartphones."],
            ["name" => "Articles de rénovation intérieure", "description" => "Produits et matériaux pour améliorer et rénover l'intérieur de votre maison."],
            ["name" => "Articles de sport", "description" => "Équipements et accessoires pour divers sports et activités physiques."],
            ["name" => "Articles pour la maison", "description" => "Objets et décorations pour embellir et organiser votre espace de vie."],
            ["name" => "Fournitures de bureau", "description" => "Matériel et fournitures nécessaires pour le travail de bureau."],
            ["name" => "Habillement", "description" => "Vêtements et accessoires pour hommes, femmes et enfants."],
            ["name" => "Instruments de musique", "description" => "Instruments pour les musiciens, allant des guitares aux pianos."],
            ["name" => "Produits pour animaux", "description" => "Aliments, jouets et accessoires pour le soin des animaux de compagnie."],
            ["name" => "Pièces de véhicules", "description" => "Composants et accessoires pour l'entretien et la réparation de véhicules."],
            ["name" => "Véhicules", "description" => "Automobiles, motos et autres moyens de transport."],
        ];

        foreach ($categories as $categorie) {
            if(!Categorie::where('name', $categorie['name'])->first()){
                
                Categorie::create(['name' => $categorie['name'],'slug' => Str::slug($categorie['name']), 'description' => $categorie['description']]);
            }
        }
    }
}
