<div class="relative w-96 mr-2 h-10" x-data="{ isVisible: @entangle('isVisible') }" @click.away="isVisible = false">
    <input
        wire:model.live="search"
        id="seachTextPiece"
        type="text"
        class="bg-white text-sm rounded-md focus:outline-none focus:shadow-outline w-full h-10 px-3 pl-8 py-1"
        placeholder="Rechercher (Press '/' to focus)"
        x-ref="search"
        @keydown.window="
            if (event.keyCode === 191) {
                event.preventDefault();
                $refs.search.focus();
            }
        "
        @focus="isVisible = true"
        @keydown.escape.window = "isVisible = false"
        @keydown="isVisible = true"
        @keydown.shift.tab="isVisible = false"
    >
    <div class="absolute top-0 flex items-left h-full ml-2">
        <svg class="fill-current text-gray-400 w-4" viewBox="0 0 24 24"><path class="heroicon-ui" d="M16.32 14.9l5.39 5.4a1 1 0 01-1.42 1.4l-5.38-5.38a8 8 0 111.41-1.41zM10 16a6 6 0 100-12 6 6 0 000 12z"/></svg>
    </div>

    <div wire:loading class="spinner top-0 right-0 mr-4 mt-3" style="position: absolute"></div>

        <div class="absolute z-50 bg-gray-100 text-xs rounded w-full mt-2" x-show.transition.opacity.duration.200="isVisible">
                @if (count($pieces)>0)
                <ul id="list-pieces" >
                    @foreach ($pieces as $item)
                        @php
                            $label = strtoupper($item->code.'-'.$item->designation);
                            $label = str_ireplace($search, '<span class="bg-blue-300">'.strtoupper($search).'</span>', $label);  
                        @endphp
                        <li wire:click="sendValue({{$item}})" class="border-b border-gray-400 p-2 text-left cursor-pointer hover:bg-gray-200" >
                           <a > {!!$label!!}</a>
                        </li>
                    @endforeach
                        
                
                </ul>
                @else
                <div class="px-3 py-3">Aucun résultat "{{ $search }}"</div>
                @endif
                <ul class="mt-2">
                    <li class="border-b border-gray-400 p-2 text-left cursor-pointer hover:bg-gray-200" >
                        <a wire:click="sendValue()"> + ajouter Nouvelle Pièce</a>
                     </li>
                </ul>
                
                
        </div>
</div>
