<div class="relative w-full m-0 h-10" x-data="{ isVisible: @entangle('isVisible') }" @click.away="isVisible = false">
    <div @focus="isVisible = true" @click="isVisible = true; " @keydown.escape.window = "isVisible = false"
        @keydown="isVisible = true" @keydown.shift.tab="isVisible = false">
        <input wire:model.live="selected_name" id="seachTextProduct" type="text"
            class="bg-white text-sm rounded-md focus:outline-none focus:shadow-outline w-full h-10 px-3 pl-8 py-1 pr-8"
            placeholder="Selectionner un produit..." readonly>
        <div class="absolute top-0 flex items-left h-full ml-2">
            <svg class="fill-current text-gray-400 w-4" viewBox="0 0 24 24">
                <path class="heroicon-ui"
                    d="M16.32 14.9l5.39 5.4a1 1 0 01-1.42 1.4l-5.38-5.38a8 8 0 111.41-1.41zM10 16a6 6 0 100-12 6 6 0 000 12z" />
            </svg>
        </div>


        <div wire:loading class="spinner top-0 right-0 mr-4 mt-3" style="position: absolute"></div>

        <div class="absolute z-50 bg-gray-100 text-xs rounded w-full mt-2"
            x-show.transition.opacity.duration.200="isVisible">
            
            


            @if ($showFormAddProduct == false)
            <div x-trap="isVisible">
                <input x-ref="search" type="text" wire:model.live="search"
                    class="bg-white text-sm rounded-md focus:outline-none focus:shadow-outline w-full h-10 p-2">
                {{-- <span @click="clearInput" class="absolute top-2 right-2 flex items-left h-full ml-2">
                        <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor" class="size-6">
                            <path stroke-linecap="round" stroke-linejoin="round" d="M6 18 18 6M6 6l12 12" />
                        </svg>
                    </span> --}}
            </div>
            @if (count($products) > 0)
                <ul id="list-products">
                    @foreach ($products as $item)
                        @php
                            $label = strtoupper($item->name);
                            $label = str_ireplace(
                                $search,
                                '<span class="bg-blue-300">' . strtoupper($search) . '</span>',
                                $label,
                            );
                        @endphp
                        <li wire:click="sendValue({{ $item }})"
                            class="border-b border-gray-400 p-2 text-left cursor-pointer hover:bg-gray-100">
                            <div class="flex items-center gap-2">
                                <img src="{{ asset('storage/' . $item->image) }}" alt="{{ $item->name }}"
                                    class="w-16 h-16 object-cover rounded-md">
                                <span class="block font-medium text-gray-700"> {!! $label !!}</span>
                            </div>
                        </li>
                    @endforeach


                </ul>
            @else
                <div class="px-3 py-3">Aucun résultat "{{ $search }}"</div>
               
            @endif
            <ul class="mt-2">
                <li class="border-b border-gray-400 p-2 text-left cursor-pointer hover:bg-gray-200">
                    <a wire:click="addNewProduct()"> + ajouter Nouvelle Pièce</a>
                </li>
            </ul>
        @else
            <form class="mt-2 p-2">
                <h2 class="text-lg font-bold">Ajouter un nouveau produit</h2>
                <div class="mb-4">
                    <x-label for="name" :value="__('Nom du produit')" />
                    <x-input id="name" class="block mt-1 w-full" wire:model.live="newProductItem.name"
                        type="text" required autofocus />
                    <x-input-error for="newProductItem.name" class="mt-2" />
                </div>
                <div class="mb-4">
                    <x-label for="price" :value="__('Prix de vente')" />
                    <x-input id="price" class="block mt-1 w-full" wire:model.live="newProductItem.price"
                        type="number" step="0.01" required />
                    <x-input-error for="newProductItem.price" class="mt-2" />
                </div>
                <div class="mb-4">
                    <x-label for="categorie_id" :value="__('Catégorie')" />
                    <flux:select variant="listbox" searchable wire:model.live="newProductItem.categorie_id"
                        indicator="checkbox" required>
                        <x-slot name="search">
                            <flux:select.search class="px-4" placeholder="Rechercher une catégorie..." />
                        </x-slot>
                        @foreach ($categories as $category)
                            <flux:option value="{{ $category->id }}">{{ $category->name }}</flux:option>
                        @endforeach
                    </flux:select>
                    <x-input-error for="newProductItem.categorie_id" class="mt-2" />
                </div>
                <div class="mb-4 flex items-end gap-2">
                    <div class="mr-2">
                        <flux:input type="file" wire:click="$set('newProductItem.image', null)"
                            wire:model="newProductItem.image" label="Image phare du produit"
                            accept="image/png, image/gif, image/jpeg, image/webp, image/jpg" />
                        <x-input-error for="newProductItem.image" class="mt-2" />
                    </div>
                    <div>
                        @if (isset($newProductItem->image))
                            <img src="{{ $newProductItem->image->temporaryUrl() }}" alt="Image phare du produit"
                                class="w-12 h-12 rounded-md">
                        @endif

                    </div>
                </div>
                <div class="mb-4">
                    <x-label for="seuil_stock" :value="__('Seuil de stock à alerter')" />
                    <x-input id="seuil_stock" class="block mt-1 w-full"
                        wire:model.live="productItem.seuil_stock" type="number" required />
                    <x-input-error for="productItem.seuil_stock" class="mt-2" />
                </div>
                <button type="button" wire:click="saveNewProduct"
                    class="bg-blue-500 text-white px-4 py-2 rounded-md">Enregistrer</button>
            </form>
        @endif
        </div>
    </div>
</div>
