<div class="mx-auto py-6 sm:px-6 lg:px-8">
    
    <div class=" mb-4 flex justify-between bg-white rounded-xl shadow p-6 dark:bg-dark2 items-center ">
        <h3 class="text-2xl font-bold">Rapport d'encaissement </h3>
        <div class="flex items-center w-2/4 max-w-sm mx-auto">   
            <button type="button" wire:click="changeDate('-1')" class="p-2 mr-2 text-sm font-medium text-white bg-blue-700 rounded-lg border border-blue-700 hover:bg-blue-800 focus:ring-4 focus:outline-none focus:ring-blue-300 ">
                <x-lucide-chevron-first class="w-6 h-6" />
                <span class="sr-only">Prévious</span>
            </button>
            <div class="relative w-full">
               
                <input type="date" wire:model.live="date" id="date"class="bg-gray-50 border border-gray-300 text-xl font-bold text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full p-2  " placeholder="Search branch name..." required />
            </div>
            <button type="button" wire:click="changeDate('+1')" class="p-2 ml-2 text-sm font-medium text-white bg-blue-700 rounded-lg border border-blue-700 hover:bg-blue-800 focus:ring-4 focus:outline-none focus:ring-blue-300 ">
                <x-lucide-chevron-last class="w-6 h-6" />
                <span class="sr-only">Next</span>
            </button>
        </div>
        
        <a class="button bg-orange-600 text-white flex items-center gap-2" target="_blank" href="{{route('caisse.print', ['datetime' => strtotime($date)])}}" >
            Imprimer
        </a>
    </div>

       <!-- Table -->
       <div class="overflow-x-auto bg-white rounded-xl shadow p-6 dark:bg-dark2">
        <table class="min-w-full  divide-y divide-gray-200 dark:divide-gray-700">
            <thead>
                <tr>
                    <th class="px-6 py-3 text-left text-xs font-medium text-gray-500 uppercase tracking-wider">N° Facture</th>
                    <th class="px-6 py-3 text-left text-xs font-medium text-gray-500 uppercase tracking-wider">Montant</th>
                    <th class="px-6 py-3 text-left text-xs font-medium text-gray-500 uppercase tracking-wider">Mode de paiement</th>
                    <th class="px-6 py-3 text-left text-xs font-medium text-gray-500 uppercase tracking-wider">Date</th>
                </tr>
            </thead>
            <tbody class="bg-white divide-y divide-gray-200 dark:divide-gray-700">
                @foreach($payments as $payment)
                <tr class="odd:bg-white odd:dark:bg-gray-900 even:bg-gray-50 even:dark:bg-gray-800 hover:bg-gray-100 hover:dark:bg-gray-700">
                    <td class="px-4 py-3 whitespace-nowrap">{{ $payment->sale->invoice_number }}</td>
                    <td class="px-4 py-3 whitespace-nowrap">{{ $payment->amount }}</td>
                    <td class="px-4 py-3 whitespace-nowrap">{{ $payment->payment_mode }}</td>
                    <td class="px-4 py-3 whitespace-nowrap">{{ $payment->created_at->format('d/m/Y') }}</td>
                </tr>
                @endforeach
            </tbody>
        </table>
    </div>
</div>