<div class="mx-auto py-6 sm:px-6 lg:px-8">

    <div class=" mb-4 flex justify-between bg-white rounded-xl shadow p-6 dark:bg-dark2 items-center ">
        <h3 class="text-2xl font-bold">Rapport d'encaissement </h3>
        {{-- <div class="flex items-center w-2/4 max-w-sm mx-auto">   
            <button type="button" wire:click="changeDate('-1')" class="p-2 mr-2 text-sm font-medium text-white bg-blue-700 rounded-lg border border-blue-700 hover:bg-blue-800 focus:ring-4 focus:outline-none focus:ring-blue-300 ">
                <x-lucide-chevron-first class="w-6 h-6" />
                <span class="sr-only">Prévious</span>
            </button>
            <div class="relative w-full">
               
                <input type="date" wire:model.live="date" id="date"class="bg-gray-50 border border-gray-300 text-xl font-bold text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 block w-full p-2  " placeholder="Search branch name..." required />
            </div>
            <button type="button" wire:click="changeDate('+1')" class="p-2 ml-2 text-sm font-medium text-white bg-blue-700 rounded-lg border border-blue-700 hover:bg-blue-800 focus:ring-4 focus:outline-none focus:ring-blue-300 ">
                <x-lucide-chevron-last class="w-6 h-6" />
                <span class="sr-only">Next</span>
            </button>
        </div>
        
        <a class="button bg-orange-600 text-white flex items-center gap-2" target="_blank" href="{{route('caisse.print', ['datetime' => strtotime($date)])}}" >
            Imprimer
        </a> --}}
    </div>

    <!-- Table -->
    <div class="overflow-x-auto bg-white rounded-xl shadow p-6 dark:bg-dark2">
        <table class="min-w-full  divide-y divide-gray-200 dark:divide-gray-700">
            <thead>
                <tr>
                    <th class="px-6 py-3 text-left text-xs font-medium text-gray-500 uppercase tracking-wider">N° Facture
                    </th>
                    <th class="px-6 py-3 text-left text-xs font-medium text-gray-500 uppercase tracking-wider">Client
                    </th>
                    <th class="px-6 py-3 text-left text-xs font-medium text-gray-500 uppercase tracking-wider">Téléphone
                    </th>
                    <th class="px-6 py-3 text-left text-xs font-medium text-gray-500 uppercase tracking-wider">Montant
                    </th>
                    <th class="px-6 py-3 text-left text-xs font-medium text-gray-500 uppercase tracking-wider">Montant
                        payé</th>
                    <th class="px-6 py-3 text-left text-xs font-medium text-gray-500 uppercase tracking-wider">Date</th>
                    <th class="px-6 py-3 text-left text-xs font-medium text-gray-500 uppercase tracking-wider">Action
                    </th>
                </tr>
            </thead>
            <tbody class="bg-white divide-y divide-gray-200 dark:divide-gray-700">
                @foreach ($creances as $creance)
                    <tr
                        class="odd:bg-white odd:dark:bg-gray-900 even:bg-gray-50 even:dark:bg-gray-800 hover:bg-gray-100 hover:dark:bg-gray-700">
                        <td class="px-4 py-3 whitespace-nowrap">{{ $creance->invoice_number }}</td>
                        <td class="px-4 py-3 whitespace-nowrap">{{ $creance->client_name }}</td>
                        <td class="px-4 py-3 whitespace-nowrap">{{ $creance->client_phone }}</td>
                        <td class="px-4 py-3 whitespace-nowrap">{{ $creance->total_with_tax }}</td>
                        <td class="px-4 py-3 whitespace-nowrap">{{ $creance->paiements_sum_amount }}</td>
                        <td class="px-4 py-3 whitespace-nowrap">{{ $creance->created_at->format('d/m/Y') }}</td>
                        <td class="px-4 py-3 whitespace-nowrap">
                            <x-button wire:click="showCreanceModal({{ $creance->id }})">
                                <x-lucide-check-circle class="w-4 h-4 mr-2" /> Solder
                            </x-button>
                        </td>
                    </tr>
                @endforeach
            </tbody>
        </table>
    </div>

    <div class="lg:p-20 p-10 uk-modal {{ $isModalOpen ? 'uk-open' : '' }}" id="scrolling" uk-modal=""
        style="overscroll-behavior: contain; display: block;" tabindex="-1">
        <div
            class="absolute bottom-0 right-0 mx-auto bg-white border-l-4 border-slate-200 shadow-4xl uk-modal-dialog lg:w-[700px] md:w-[500px] w-[100%] min-h-screen">
            <div class="px-4 py-3 border-b">
                <h2 class="text-xl font-semibold"></h2>
            </div>
            <form wire:submit.prevent="savePaiement">
                <div class="p-2">
                    <h2 class="text-lg font-semibold">Regulation de la vente</h2>
                    @if ($saleToSolde)
                    <span>
                        Reste à payer : {{ number_format($reste_a_payer, 0, ',', ' ') }}
                    </span>
                    <div class="mt-4 flex gap-2">
                        <div class="mt-2">
                            <label for="paiement_amount">Montant encaissé </label>
                            <x-input type="number" class="w-full h-12 text-sm px-1 lg:px-2"
                                placeholder="Montant encaissé" wire:model.live="paiement_amount" />
                            <x-input-error for="paiement_amount" class="mt-2" />
                        </div>

                    </div>
                    <div>

                        <h3 class="mb-5 text-lg font-medium text-gray-900 dark:text-white">Mode de paiement</h3>
                        <div class="w-full gap-6 flex flex-wrap">
                            @foreach ($modes_paiement as $item)
                                <div class="w-1/4">
                                    <input type="radio" wire:model.live="mode_paiement_selected"
                                        id="paiement-{{ $item['name'] }}" name="paiement"
                                        value="{{ $item['name'] }}" class="hidden peer" />
                                    <label for="paiement-{{ $item['name'] }}"
                                        class="flex items-center flex-col justify-between w-full p-2 text-gray-500 bg-white border border-gray-200 rounded-lg cursor-pointer dark:hover:text-gray-300 dark:border-gray-700 dark:peer-checked:text-blue-500 peer-checked:border-blue-600 dark:peer-checked:border-blue-600 peer-checked:text-blue-600 hover:text-gray-600 hover:bg-gray-100 dark:text-gray-400 dark:bg-gray-800 dark:hover:bg-gray-700">
                                        <img src="{{ asset('paiement-logos/' . $item['image']) }}" alt=""
                                            class=" h-10 w-10 mb-2 rounded-full object-cover">

                                        <div class="block">
                                            <div class="w-full text-sm font-semibold">{{ $item['name'] }}</div>
                                        </div>
                                    </label>
                                </div>
                            @endforeach

                        </div>

                    </div>
                    @endif
                    
                </div>
                <div class="w-full flex justify-end mt-2 p-2">
                    <x-button type="submit" wire:loading.attr="disabled">
                        Facturer
                    </x-button>
                </div>
            </form>

            <!-- close button -->
            <button type="button" class="bg-white rounded-full p-2 absolute right-0 top-0 m-3 dark:bg-slate-600"
                wire:click="$set('isModalOpen', false)">
                <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5"
                    stroke="currentColor" class="w-6 h-8">
                    <path stroke-linecap="round" stroke-linejoin="round" d="M6 18L18 6M6 6l12 12"></path>
                </svg>
            </button>
        </div>
    </div>
</div>
