<div>
    <div class="flex justify-between items-center">
        <h1 class="text-2xl font-bold">Dashboard</h1>
        <a href="{{route('owner.sales')}}" class="button bg-orange-600 text-white flex items-center gap-2">
            <x-lucide-shopping-cart class="h-4"/>
            <span class="max-xl:hidden"> Voir toutes les ventes </span>
        </a>
    </div>
    <div class="grid grid-cols-1 md:grid-cols-4 lg:grid-cols-4 gap-4 mt-2">
        <div class="bg-white rounded-lg p-4 shadow-md">
            <h2 class="text-lg font-semibold mb-2">Total Articles</h2>
            <p class="text-sm text-gray-600 text-right">
                {{ number_format($totalProducts, 0, ',', ' ')  }}
            </p>
        </div>
        <div class="bg-white rounded-lg p-4 shadow-md">
            <h2 class="text-lg font-semibold mb-2">Valeur des articles</h2>
            <p class="text-sm text-gray-600 text-right">
                {{ number_format($valeurProducts, 0, ',', ' ')  }} F CFA
            </p>
        </div>
        <div class="bg-white rounded-lg p-4 shadow-md">
            <h2 class="text-lg font-semibold mb-2">Valeur des ventes</h2>
            <p class="text-sm text-gray-600 text-right">
                {{ number_format($valeurVentes, 0, ',', ' ')  }} F CFA
            </p>
        </div>
        <div class="bg-white rounded-lg p-4 shadow-md">
            <h2 class="text-lg font-semibold mb-2">Stock faible</h2>
            <p class="text-sm text-gray-600 text-right">
                {{ $alertStockCount }} produit (s)
            </p>
        </div>
    </div>
    <div class="mt-4 bg-white rounded-lg p-4 shadow-md">
        <h2 class="text-lg font-semibold mb-2">Produits en stock faible</h2>
        <div class="overflow-x-auto">
            <table class="min-w-full divide-y divide-gray-200 dark:divide-gray-700">
                <thead>
                    <tr>
                        <th class="px-6 py-3 text-left text-xs font-medium text-gray-500 uppercase tracking-wider text-left">Produit</th>
                        <th class="px-6 py-3 text-left text-xs font-medium text-gray-500 uppercase tracking-wider text-center">Stock</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach ($alertStock as $product)
                        <tr>
                            <td class="px-4 py-3 whitespace-nowrap">{{ $product->name }}</td>
                            <td class="px-4 py-3 whitespace-nowrap text-center">{{ $product->supply_items_sum_stock }}</td>
                        </tr>
                    @endforeach
                </tbody>
            </table>
        </div>
    </div>
</div>
