<div>
    <!-- Heading -->


    <!-- Card -->
    <div class="bg-white rounded-xl shadow p-6 dark:bg-dark2">
        
        <!-- Search and Add button -->
        <div class="page__heading ">
            <h1 class="w-full">Ventes</h1>
        </div>
        <div class="flex items-center justify-between mb-6">

            <div class="flex-1 mr-4 max-w-md relative">
                <x-lucide-search class="absolute inset-y-0 left-0 flex items-center pl-3 w-8 h-full text-gray-500" />

                <input type="text" wire:model.live="search"
                    class="w-full !pl-[3rem] pr-10 p-2 border rounded-md focus:outline-none focus:border-blue-500"
                    placeholder="Rechercher une vente...">
                {{--  @if ($search)
               <button wire:click="$set('search', '')" class="absolute inset-y-0 right-0 flex items-center pr-3">
                   <x-lucide-circle-x class="text-xl inset-y-0 left-0 flex items-center pl-3 w-8 h-full text-gray-500"/>
               </button>
               @endif --}}
            </div>
            <button class="button bg-blue-600 text-white flex items-center gap-2" wire:click="openModal()">
                <x-lucide-circle-plus class="text-xl inset-y-0 left-0 flex items-center w-5 h-5 h-full" />
                Nouvelle vente
            </button>
        </div>

        <!-- Table -->
        <div class="overflow-x-auto">
            <table class="min-w-full divide-y divide-gray-200 dark:divide-gray-700">
                <thead>
                    <tr>
                        {{-- <th class="px-6 py-3 text-left text-xs font-medium text-gray-500 uppercase tracking-wider">N° Facture</th> --}}
                        <th class="px-6 py-3 text-left text-xs font-medium text-gray-500 uppercase tracking-wider">Date
                        </th>
                        <th
                            class="px-6 py-3 text-left text-xs font-medium text-gray-500 uppercase tracking-wider text-center">
                            Remise</th>
                        <th
                            class="px-6 py-3 text-left text-xs font-medium text-gray-500 uppercase tracking-wider text-center">
                            TVA</th>
                        <th
                            class="px-6 py-3 text-left text-xs font-medium text-gray-500 uppercase tracking-wider text-center">
                            Total TTC</th>
                        <th
                            class="px-6 py-3 text-left text-xs font-medium text-gray-500 uppercase tracking-wider text-center">
                            Total Paiements</th>
                        <th
                            class="px-6 py-3 text-left text-xs font-medium text-gray-500 uppercase tracking-wider text-center">
                            Dettes</th>
                        <th
                            class="px-6 py-3 text-left text-xs font-medium text-gray-500 uppercase tracking-wider text-center">
                            Actions</th>
                    </tr>
                </thead>
                <tbody class="bg-white divide-y divide-gray-200 dark:divide-gray-700">
                    @foreach ($sales as $sale)
                        <tr
                            class="odd:bg-white odd:dark:bg-gray-900 even:bg-gray-50 even:dark:bg-gray-800 hover:bg-gray-100 hover:dark:bg-gray-700">

                            <td class="px-4 py-3 whitespace-nowrap">{{ $sale->created_at->format('d/m/Y H:i') }}</td>
                            <td class="px-4 py-3 text-center whitespace-nowrap">
                                {{ number_format($sale->discount, 0, ',', ' ') }} </td>
                            <td class="px-4 py-3 text-center whitespace-nowrap">
                                {{ number_format($sale->tax, 0, ',', ' ') }} %</td>
                            <td class="px-4 py-3 text-center whitespace-nowrap">
                                {{ number_format($sale->total_with_tax, 0, ',', ' ') }} </td>

                            </td>
                            <td class="px-4 py-3 text-center whitespace-nowrap">
                                {{ number_format($sale->paiements_sum_amount, 0, ',', ' ') }} </td>
                            <td class="px-4 py-3 text-center whitespace-nowrap">
                                {{ number_format($sale->total_with_tax - $sale->paiements_sum_amount, 0, ',', ' ') }} </td>
                            <td class="px-4 py-3 whitespace-nowrap">
                                @if (empty($sale->type_sale))
                                <div class="flex items-center gap-2">
                                    <button class="flex items-center gap-2 rounded-md bg-blue-600 px-2 py-1 text-white"
                                        wire:click="openModal({{ $sale->id }})">
                                        <x-lucide-eye class="h-4" /> Voir
                                    </button>
                                    <button
                                        class="flex items-center gap-2 rounded-md bg-yellow-600 px-2 py-1 text-white"
                                        wire:click="showModalFacturer({{ $sale->id }})">
                                        <x-lucide-file-text class="h-4" /> Facturer
                                    </button>
                                </div>
                                @else
                                <div class="flex items-center gap-2">
                                    <a href="{{ route('sales.print', $sale->id) }}" target="_blank" class="flex items-center gap-2 rounded-md bg-blue-600 px-2 py-1 text-white">
                                        <x-lucide-printer class="h-4" /> Imprimer
                                    </a>
                                </div>
                                @endif
                            </td>
                        </tr>
                    @endforeach
                </tbody>
            </table>
        </div>
    </div>

    <!-- Modal  Nouvelle Vente-->
    <div class="lg:p-20 p-10 uk-modal {{ $isModalOpen ? 'uk-open' : '' }}" id="scrolling" uk-modal=""
        style="overscroll-behavior: contain; display: block;" tabindex="-1">
        <div
            class="absolute bottom-0 right-0 mx-auto bg-white border-l-4 border-slate-200 shadow-4xl uk-modal-dialog lg:w-[700px] md:w-[500px] w-[100%] min-h-screen">
            <div class="px-4 py-3 border-b">
                <h2 class="text-xl font-semibold"></h2>
            </div>
            <form wire:submit.prevent="save">

                <div class="pt-4 p-2">

                    <table class="min-w-full divide-y divide-gray-200 dark:divide-gray-700">
                        <thead>
                            <tr>
                                <th
                                    class="px-1 lg:px-6 py-3 text-left text-xs lg:text-lg font-medium text-gray-500 uppercase tracking-wider">
                                    Produit
                                </th>
                                <th
                                    class="px-1 lg:px-6 py-3 text-left text-xs lg:text-lg font-medium text-gray-500 uppercase tracking-wider">
                                    Quantité
                                </th>
                                <th
                                    class="px-1 lg:px-6 py-3 text-left text-xs lg:text-lg font-medium text-gray-500 uppercase tracking-wider">
                                    Prix
                                </th>
                                <th
                                    class="px-1 lg:px-6 py-3 text-left text-xs lg:text-lg font-medium text-gray-500 uppercase tracking-wider">
                                    Actions
                                </th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach ($saleItems as $index => $item)
                                <tr class="odd:bg-gray-100">
                                    <td class="px-1 text-xs lg:text-lg lg:px-4 py-3 ">{{ $item['product_name'] }}</td>
                                    <td class="px-1 text-xs lg:text-lg lg:px-4 py-3 whitespace-nowrap text-center">
                                        <x-input type="number" class="w-16 lg:w-32 h-8 lg:h-12 text-sm px-1 lg:px-2"
                                            min="1" step="1" placeholder="Quantité"
                                            wire:model.live="saleItems.{{ $index }}.quantity" />
                                    </td>
                                    <td class="px-1 text-xs lg:text-lg lg:px-4 py-3 whitespace-nowrap text-center">
                                        {{ $item['price'] }}</td>
                                    <td class="px-1 text-xs lg:text-lg lg:px-4 py-3 whitespace-nowrap text-center">
                                        <button type="button" class="text-red-600"
                                            wire:click="removeItem({{ $index }})">
                                            <x-lucide-trash class="h-5 w-5" />
                                        </button>
                                    </td>
                                </tr>
                            @endforeach
                            <tr>
                                <td colspan="4">
                                    <div class="flex  items-end lg:flex-row  mt-4 mb-4">
                                        @livewire('forms.product-select', ['model' => 'productItemToAdd'])
                                        <div class="w-1/4lg:w-auto pl-2 flex justify-end">
                                            <button type="button"
                                                class="p-2.5 mt-2 flex justify-center items-center gap-2 bg-blue-600 text-white rounded-md"
                                                wire:click="addItem">
                                                <x-lucide-plus class="h-5 w-5 " />
                                            </button>
                                            </4>


                                        </div>
                                </td>
                            </tr>

                        </tbody>
                    </table>
                    <div class="bg-gray-200 p-2 text-xs">
                        <table class="table w-full">
                            <thead>
                                {{--  <tr>
                                 <td class="px-4 py-3 whitespace-nowrap text-center" colspan="2">Total</td>
                                 <td class="px-4 py-3 whitespace-nowrap text-center font-bold" colspan="2">{{ intval($total_amount) }}</td>
                             </tr> --}}
                                <tr>
                                    <th>Remise (CFA)</th>

                                    <th>TVA en %</th>

                                </tr>
                                <tr>
                                    <td class="w-1/4">
                                        <x-input type="number" class="w-full h-12 text-sm px-1 lg:px-2" min="0"
                                            step="1" placeholder="Remise en CFA"
                                            wire:model.live="newSale.discount" />
                                    </td>

                                    <td class="text-center w-1/4">
                                        <x-input type="number" class="w-full h-12 text-sm px-1 lg:px-2" min="1"
                                            step="1" placeholder="TVA en %" wire:model.live="newSale.tax" />
                                    </td>

                                </tr>
                                @if ($total_amount > 0)
                                    <tr class="bg-orange-100 font-bold">
                                        <td class="text-left w-1/4 p-2">
                                            TOTAL HT :
                                            {{ number_format(intval($total_amount) - intval($newSale->discount), 0, ',', ' ') }}
                                            F
                                        </td>
                                        <td class="text-right w-1/4 pr-2">
                                            TOTAL TTC :
                                            {{ number_format(intval($total_amount) - intval($newSale->discount) + ((intval($total_amount) - intval($newSale->discount)) * floatval($newSale->tax)) / 100, 0, ',', ' ') }}
                                            F
                                        </td>
                                    </tr>
                                @endif
                            </thead>
                        </table>

                    </div>
                    <div class="w-full justify-end">
                        <x-button wire:click="save">
                            Enregister la vente
                        </x-button>
                    </div>
                </div>

                <div class="flex justify-end gap-2 p-6 text-sm font-medium px-4 py-3 border-t absolute bottom-0 w-full">
                    <button type="button" class="px-4 py-1.5 bg-red-600 hover:bg-red-500 text-white rounded-md"
                        wire:click="$set('isModalOpen', false)">Fermer</button>

                </div>
            </form>

            <!-- close button -->
            <button type="button" class="bg-white rounded-full p-2 absolute right-0 top-0 m-3 dark:bg-slate-600"
                wire:click="$set('isModalOpen', false)">
                <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5"
                    stroke="currentColor" class="w-6 h-8">
                    <path stroke-linecap="round" stroke-linejoin="round" d="M6 18L18 6M6 6l12 12"></path>
                </svg>
            </button>
        </div>
    </div>
    <!-- Modal  Nouvelle Vente-->
    <div class="lg:p-20 p-10 uk-modal {{ $isModalOpen ? 'uk-open' : '' }}" id="scrolling" uk-modal=""
        style="overscroll-behavior: contain; display: block;" tabindex="-1">
        <div
            class="absolute bottom-0 right-0 mx-auto bg-white border-l-4 border-slate-200 shadow-4xl uk-modal-dialog lg:w-[700px] md:w-[500px] w-[100%] min-h-screen">
            <div class="px-4 py-3 border-b">
                <h2 class="text-xl font-semibold"></h2>
            </div>
            <form wire:submit.prevent="save">

                <div class="pt-4 p-2">

                    <table class="min-w-full divide-y divide-gray-200 dark:divide-gray-700">
                        <thead>
                            <tr>
                                <th
                                    class="px-1 lg:px-6 py-3 text-left text-xs lg:text-lg font-medium text-gray-500 uppercase tracking-wider">
                                    Produit
                                </th>
                                <th
                                    class="px-1 lg:px-6 py-3 text-left text-xs lg:text-lg font-medium text-gray-500 uppercase tracking-wider">
                                    Quantité
                                </th>
                                <th
                                    class="px-1 lg:px-6 py-3 text-left text-xs lg:text-lg font-medium text-gray-500 uppercase tracking-wider">
                                    Prix
                                </th>
                                <th
                                    class="px-1 lg:px-6 py-3 text-left text-xs lg:text-lg font-medium text-gray-500 uppercase tracking-wider">
                                    Actions
                                </th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach ($saleItems as $index => $item)
                                <tr class="odd:bg-gray-100">
                                    <td class="px-1 text-xs lg:text-lg lg:px-4 py-3 ">{{ $item['product_name'] }}</td>
                                    <td class="px-1 text-xs lg:text-lg lg:px-4 py-3 whitespace-nowrap text-center">
                                        <x-input type="number" class="w-16 lg:w-32 h-8 lg:h-12 text-sm px-1 lg:px-2"
                                            min="1" step="1" placeholder="Quantité"
                                            wire:model.live="saleItems.{{ $index }}.quantity" />
                                    </td>
                                    <td class="px-1 text-xs lg:text-lg lg:px-4 py-3 whitespace-nowrap text-center">
                                        {{ $item['price'] }}</td>
                                    <td class="px-1 text-xs lg:text-lg lg:px-4 py-3 whitespace-nowrap text-center">
                                        <button type="button" class="text-red-600"
                                            wire:click="removeItem({{ $index }})">
                                            <x-lucide-trash class="h-5 w-5" />
                                        </button>
                                    </td>
                                </tr>
                            @endforeach
                            <tr>
                                <td colspan="4">
                                    <div class="flex  items-end lg:flex-row  mt-4 mb-4">
                                        @livewire('forms.product-select', ['model' => 'productItemToAdd'])
                                        <div class="w-1/4lg:w-auto pl-2 flex justify-end">
                                            <button type="button"
                                                class="p-2.5 mt-2 flex justify-center items-center gap-2 bg-blue-600 text-white rounded-md"
                                                wire:click="addItem">
                                                <x-lucide-plus class="h-5 w-5 " />
                                            </button>
                                            </4>


                                        </div>
                                </td>
                            </tr>

                        </tbody>
                    </table>
                    <div class="bg-gray-200 p-2 text-xs">
                        <table class="table w-full">
                            <thead>
                                {{--  <tr>
                                 <td class="px-4 py-3 whitespace-nowrap text-center" colspan="2">Total</td>
                                 <td class="px-4 py-3 whitespace-nowrap text-center font-bold" colspan="2">{{ intval($total_amount) }}</td>
                             </tr> --}}
                                <tr>
                                    <th>Remise (CFA)</th>

                                    <th>TVA en %</th>

                                </tr>
                                <tr>
                                    <td class="w-1/4">
                                        <x-input type="number" class="w-full h-12 text-sm px-1 lg:px-2"
                                            min="0" step="1" placeholder="Remise en CFA"
                                            wire:model.live="newSale.discount" />
                                    </td>

                                    <td class="text-center w-1/4">
                                        <x-input type="number" class="w-full h-12 text-sm px-1 lg:px-2"
                                            min="0" step="1" placeholder="TVA en %"
                                            wire:model.live="newSale.tax" />
                                    </td>

                                </tr>
                                @if ($total_amount > 0)
                                    <tr class="bg-orange-100 font-bold">
                                        <td class="text-left w-1/4 p-2">
                                            TOTAL HT :
                                            {{ number_format(intval($total_amount) - intval($newSale->discount), 0, ',', ' ') }}
                                            F
                                        </td>
                                        <td class="text-right w-1/4 pr-2">
                                            TOTAL TTC :
                                            {{ number_format(intval($total_amount) - intval($newSale->discount) + ((intval($total_amount) - intval($newSale->discount)) * floatval($newSale->tax)) / 100, 0, ',', ' ') }}
                                            F
                                        </td>
                                    </tr>
                                @endif
                            </thead>
                        </table>

                    </div>
                    <div class="w-full flex justify-end mt-2">
                        <x-button type="submit" wire:loading.attr="disabled">
                            Enregister la vente
                        </x-button>
                    </div>
                </div>

                <div
                    class="flex justify-end gap-2 p-6 text-sm font-medium px-4 py-3 border-t absolute bottom-0 w-full">
                    <button type="button" class="px-4 py-1.5 bg-red-600 hover:bg-red-500 text-white rounded-md"
                        wire:click="$set('isModalOpen', false)">Fermer</button>

                </div>
            </form>

            <!-- close button -->
            <button type="button" class="bg-white rounded-full p-2 absolute right-0 top-0 m-3 dark:bg-slate-600"
                wire:click="$set('isModalOpen', false)">
                <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5"
                    stroke="currentColor" class="w-6 h-8">
                    <path stroke-linecap="round" stroke-linejoin="round" d="M6 18L18 6M6 6l12 12"></path>
                </svg>
            </button>
        </div>
    </div>
    <!-- Modal  Nouvelle Facturer-->
    <div class="lg:p-20 p-10 uk-modal {{ $isModalFacturerOpen ? 'uk-open' : '' }}" id="scrolling" uk-modal=""
        style="overscroll-behavior: contain; display: block;" tabindex="-1">
        <div
            class="absolute bottom-0 right-0 mx-auto bg-white border-l-4 border-slate-200 shadow-4xl uk-modal-dialog lg:w-[700px] md:w-[500px] w-[100%] min-h-screen">
            <div class="px-4 py-3 border-b">
                <h2 class="text-xl font-semibold"></h2>
            </div>
            <form wire:submit.prevent="saveFacture">
                <div class="p-2">
                    <h2 class="text-lg font-semibold">Regulation de la vente</h2>
                    <div class="">
                        <flux:radio.group wire:model.live="type_sale" label="Type de vente" variant="cards"
                            class="max-sm:flex-col">
                            <flux:radio value="paiement" label="Paiement au comptant"
                                description="Vente en espèce, wave, orange money, etc." checked />
                            <flux:radio value="creance" label="Créance"
                                description="Vente à crédit (Dette ou à payer ultérieurement)" />
                        </flux:radio.group>
                    </div>
                    @if ($type_sale == 'paiement' && $saleToFacturer)
                        <div class="mt-4 flex gap-2">
                            <div class="mt-2">
                                <label for="encashed_amount">Montant encaissé ( <span class="text-red-400">Dette : {{ number_format($saleToFacturer->total_with_tax - intval($encashed_amount), 0, ',', ' ') }} CFA</span>  )</label>
                                <x-input type="number" class="w-full h-12 text-sm px-1 lg:px-2"
                                    placeholder="Montant encaissé" wire:model.live="encashed_amount" />
                                    <x-input-error for="encashed_amount" class="mt-2" />
                            </div>
                           
                        </div>
                        <div>

                                <h3 class="mb-5 text-lg font-medium text-gray-900 dark:text-white">Mode de paiement</h3>
                            <div class="w-full gap-6 flex flex-wrap">
                                @foreach ($modes_paiement as $item)
                                <div class="w-1/4"> 
                                    <input type="radio" wire:model.live="mode_paiement_selected" id="paiement-{{ $item['name'] }}" name="paiement" value="{{ $item['name'] }}"
                                    class="hidden peer"  />
                                    <label for="paiement-{{ $item['name'] }}"
                                    class="flex items-center flex-col justify-between w-full p-2 text-gray-500 bg-white border border-gray-200 rounded-lg cursor-pointer dark:hover:text-gray-300 dark:border-gray-700 dark:peer-checked:text-blue-500 peer-checked:border-blue-600 dark:peer-checked:border-blue-600 peer-checked:text-blue-600 hover:text-gray-600 hover:bg-gray-100 dark:text-gray-400 dark:bg-gray-800 dark:hover:bg-gray-700">
                                    <img src="{{ asset('paiement-logos/'.$item['image']) }}" alt="" class=" h-10 w-10 mb-2 rounded-full object-cover">

                                    <div class="block">
                                        <div class="w-full text-sm font-semibold">{{ $item['name'] }}</div>
                                    </div>
                                </label>
                            </div>
                                @endforeach
                                
                            </div>

                        </div>
                    @endif
                    <div class="mt-4 flex   gap-2 w-full">
                        <div class="mt-2 w-1/2">
                            
                            <x-input type="text" class="w-full h-12 text-sm px-1 lg:px-2"
                                placeholder="Nom du client" wire:model.live="client_name" />
                                <x-input-error for="client_name" class="mt-2" />
                        </div>  
                        <div class="mt-2 w-1/2">
                            <x-input type="text" class="w-full h-12 text-sm px-1 lg:px-2"
                                placeholder="Téléphone du client" wire:model.live="client_phone" />
                                <x-input-error for="client_phone" class="mt-2" />
                        </div>
                    </div>
                </div>
                <div class="w-full flex justify-end mt-2 p-2">
                    <x-button type="submit" wire:loading.attr="disabled">
                        Facturer
                    </x-button>
                </div>
            </form>

            <!-- close button -->
            <button type="button" class="bg-white rounded-full p-2 absolute right-0 top-0 m-3 dark:bg-slate-600"
                wire:click="$set('isModalOpen', false)">
                <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5"
                    stroke="currentColor" class="w-6 h-8">
                    <path stroke-linecap="round" stroke-linejoin="round" d="M6 18L18 6M6 6l12 12"></path>
                </svg>
            </button>
        </div>
    </div>

</div>
