<div>
    <!-- Heading -->


    <!-- Card -->
    <div class="bg-white rounded-xl shadow p-6 dark:bg-dark2">

        <!-- Search and Add button -->
        <div class="page__heading ">
            <h1 class="w-full"> Liste des utilisateurs </h1>
        </div>
        <div class="flex items-center justify-between mb-6">

            <div class="flex-1 mr-4 max-w-md relative">
                {{-- <span class="">
                   <i data-lucide="search" class="h-5 w-5 text-gray-400"></i>
               </span> --}}
                <x-lucide-search class="absolute inset-y-0 left-0 flex items-center pl-3 w-8 h-full text-gray-500" />

                <input type="text" wire:model.live="search"
                    class="w-full !pl-[3rem] pr-10 p-2 border rounded-md focus:outline-none focus:border-blue-500"
                    placeholder="Rechercher un utilisateur...">
                @if ($search)
                    <button wire:click="$set('search', '')" class="absolute inset-y-0 right-0 flex items-center pr-3">
                        <x-lucide-circle-x
                            class="text-xl inset-y-0 left-0 flex items-center pl-3 w-8 h-full text-gray-500" />
                    </button>
                @endif
            </div>
            <button class="button bg-blue-600 text-white flex items-center gap-2" wire:click="openModal()">
                <x-lucide-circle-plus class="text-xl inset-y-0 left-0 flex items-center w-5 h-5 h-full" />
                <span class="hidden md:block">
                    Ajouter un utilisateur
                </span>
            </button>
        </div>

        <!-- Table -->
        <div class="overflow-x-auto">
            <table class="min-w-full  divide-y divide-gray-200 dark:divide-gray-700">
                <thead>
                    <tr>
                        <th class="px-6 py-3 text-left text-xs font-medium text-gray-500 uppercase tracking-wider">Nom
                        </th>
                        <th class="px-6 py-3 text-left text-xs font-medium text-gray-500 uppercase tracking-wider">Login
                        </th>
                        <th class="px-6 py-3 text-left text-xs font-medium text-gray-500 uppercase tracking-wider">Role
                        </th>
                        <th class="px-6 py-3 text-left text-xs font-medium text-gray-500 uppercase tracking-wider">
                            Boutique</th>
                        <th class="px-6 py-3 text-left text-xs font-medium text-gray-500 uppercase tracking-wider">
                            Actions</th>
                    </tr>
                </thead>
                <tbody class="bg-white divide-y divide-gray-200 dark:divide-gray-700">
                    @foreach ($items as $item)
                        <tr
                            class="odd:bg-white odd:dark:bg-gray-900 even:bg-gray-50 even:dark:bg-gray-800 hover:bg-gray-100 hover:dark:bg-gray-700">
                            <td class="px-4 py-3 whitespace-nowrap">{{ $item->name }}</td>
                            <td class="px-4 py-3 whitespace-nowrap">{{ $item->email }}</td>
                            <td class="px-4 py-3 whitespace-nowrap">{{ $item->role == 'owner' ? 'Propriétaire' : 'Employé' }}</td>
                            <td class="px-4 py-3 whitespace-nowrap">
                                {{ isset($item->shop->name) ? $item->shop->name : 'Aucune' }}</td>
                            <td class="px-4 py-3 whitespace-nowrap">
                                <div class="flex items-center gap-2">
                                    <button class="flex items-center gap-2 rounded-md bg-blue-600 px-2 py-1 text-white"
                                        wire:click="openModal({{ $item->id }})">
                                        <x-lucide-edit class="h-4" /> Modifier
                                    </button>
                                    <button class="flex items-center gap-2 rounded-md bg-red-600 px-2 py-1 text-white"
                                        wire:click="delete({{ $item->id }})">
                                        <x-lucide-trash class="h-4" /> Supprimer
                                    </button>
                                </div>
                            </td>
                        </tr>
                    @endforeach
                </tbody>
            </table>
        </div>
    </div>
    <div class="lg:p-20 p-10 uk-modal {{ $isModalOpen ? 'uk-open' : '' }}" id="scrolling" uk-modal=""
        style="overscroll-behavior: contain; display: block;" tabindex="-1">

        <div
            class="absolute bottom-0 right-0 mx-auto bg-white border-l-4 border-slate-200  shadow-4xl uk-modal-dialog lg:w-[700px] w-[300px] min-h-screen">

            <div class="px-4 py-3 border-b">
                <h2 class="text-xl font-semibold">Ajout d'un utilisateur</h2>
            </div>

            <form action="" wire:submit.prevent="save">
                <div class="p-6 uk-overflow-auto" uk-overflow-auto="" style=" overscroll-behavior: contain;">
                    <div class="mb-4">
                        <x-label for="name" :value="__('Nom')" />
                        <x-input id="name" class="block mt-1 w-full" wire:model.live="userItem.name" type="text"
                            required />
                        <x-input-error for="userItem.name" class="mt-2" />
                    </div>
                    <div class="mb-4">

                        <x-label for="email" :value="__('Login')" />
                        <x-input id="email" class="block mt-1 w-full" wire:model.live="userItem.email"
                            type="text" required />
                        <x-input-error for="userItem.email" class="mt-2" />
                    </div>
                    <div class="mb-4">
                        <x-label for="role" :value="__('Role')" />
                        <flux:select variant="listbox" wire:model.live="userItem.role" placeholder="Select role...">
                            <flux:option value="owner">
                                <div class="flex items-center gap-2">
                                    <flux:icon.shield-check variant="mini" class="text-zinc-400" /> Propriétaire
                                </div>
                            </flux:option>
                            <flux:option value="employee">
                                <div class="flex items-center gap-2">
                                    <flux:icon.eye variant="mini" class="text-zinc-400" /> Employé
                                </div>
                            </flux:option>
                        </flux:select>
                        <x-input-error for="userItem.role" class="mt-2" />
                    </div>
                    
                    <div class="mb-4">
                        <x-label for="password" :value="__('Mot de passe')" />
                        <x-input id="password" class="block mt-1 w-full" wire:model.live="password" autocomplete="new-password" type="password"
                             />
                        <x-input-error for="password" class="mt-2" />
                    </div>
                    <div class="mb-4">
                        <x-label for="password_confirmation" :value="__('Confirmation du mot de passe')" />
                        <x-input id="password_confirmation" class="block mt-1 w-full" wire:model.live="password_confirmation" type="password"
                             />
                        <x-input-error for="password_confirmation" class="mt-2" />
                    </div>
                </div>
                <div class="flex justify-end gap-2 p-6 text-sm font-medium px-4 py-3 border-t absolute bottom-0 w-full">
                    <button class="px-4 py-1.5 bg-red-600 hover:bg-red-500 text-white rounded-md uk-modal-close"
                        type="button">Annuler</button>
                    <button class="px-5 py-1.5 bg-blue-600 hover:bg-blue-900 text-white rounded-md "
                        type="submit">Enregistrer</button>
                </div>
            </form>

            <!-- close button -->
            <button type="button" class="bg-white rounded-full p-2 absolute right-0 top-0 m-3 dark:bg-slate-600 "
                wire:click="$set('isModalOpen', false)">
                <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5"
                    stroke="currentColor" class="w-6 h-6">
                    <path stroke-linecap="round" stroke-linejoin="round" d="M6 18L18 6M6 6l12 12"></path>
                </svg>
            </button>

        </div>

    </div>


</div>
