<!DOCTYPE html>
<html lang="fr">
<head>
    <meta charset="UTF-8">
    <style>
        body { font-family: Arial, sans-serif; font-size: 12px; }
        .ticket { width: 250px; padding: 10px; border: 1px solid #000; }
        .center { text-align: center; }
        .line { border-bottom: 1px dashed #000; margin: 5px 0; }
        .total { font-weight: bold; }
        @page {
    size: 80mm 297mm; /* Largeur fixe, hauteur variable */
    margin: 0;
}
    </style>
</head>
<body>
    <div class="ticket">
        <div class="center">
            <h2>{{ $sale->user->shop->name }}</h2>
            <p>{{ $sale->user->shop->address }}</p>
            <p>Tél: {{ $sale->user->shop->phone }}</p>
            <div class="line"></div>
            <p><strong>Ticket #{{ $sale->invoice_number }}</strong></p>
            <p>Date: {{ $sale->created_at->format('d/m/Y H:i') }}</p>
        </div>
        <div class="line"></div>
        <table width="100%">
            @foreach ($sale->items as $item)
            <tr>
                <td>{{ $item->product->name }}</td>
                <td>{{ $item->quantity }} x {{ number_format($item->product->price, 0, ',', ' ') }} CFA</td>
                <td>{{ number_format($item->quantity * $item->product->price, 0, ',', ' ') }} CFA</td>
            </tr>
            @endforeach
        </table>
        <div class="line"></div>
        <table width="100%">
            <tr>
                <td class="total">Total</td>
                <td class="total">{{ number_format($sale->total, 0, ',', ' ') }} CFA</td>
            </tr>
            @if ($sale->discount > 0)
            <tr>
                <td>Remise</td>
                <td>{{ number_format($sale->discount, 0, ',', ' ') }} CFA</td>
            </tr>
            @endif
            @if ($sale->tax > 0)
            <tr>
                <td>Taxe</td>
                <td>{{ number_format($sale->tax, 0, ',', ' ') }} CFA</td>
            </tr>
            @endif
            <tr>
                <td class="total">Total</td>
                <td class="total">{{ number_format($sale->total_with_tax, 0, ',', ' ') }} CFA</td>
            </tr>
           
        </table>
        <div class="line"></div>
        <div class="center">
            <p>Merci de votre visite !</p>
        </div>
    </div>
</body>
</html>
