<?php

use Illuminate\Support\Facades\Route;
use App\Http\Middleware\AdminMiddleware;
use App\Http\Middleware\EmployeeMiddleware;
use App\Http\Middleware\OwnerMiddleware;
use App\Http\Controllers\PdfController;
/* Route::get('/', function () {
    return view('welcome');
}); */
Route::get('/sales/print/{id}', [PdfController::class, 'printSale'])->name('sales.print');
Route::get('/caisse/print/{datetime}', [PdfController::class, 'printCaisse'])->name('caisse.print');

Route::group([ 'middleware' => [EmployeeMiddleware::class, 'auth:sanctum',  config('jetstream.auth_session')]], function () {
    Route::get('/', function () { return view('pages.owner.dashboard'); })->name('employee.dashboard');
    Route::get('/caisse', function () { return view('pages.owner.caisse'); })->name('caisse');
    Route::get('/creances', function () { return view('pages.owner.creances'); })->name('creances');
    Route::get('/products', function () { return view('pages.owner.products'); })->name('products');
});

Route::group([ 'prefix' => 'owner', 'middleware' => [OwnerMiddleware::class, 'auth:sanctum',  config('jetstream.auth_session')]], function () {
    Route::get('/', function () { return view('pages.owner.dashboard'); })->name('owner.dashboard');
    Route::get('/agents', function () { return view('pages.owner.users'); })->name('owner.agents');
    Route::get('/products', function () { return view('pages.owner.products'); })->name('owner.products');
    Route::get('/categories', function () { return view('pages.owner.categories'); })->name('owner.categories');
    Route::get('/suppliers', function () { return view('pages.owner.suppliers'); })->name('owner.suppliers');
    Route::get('/supplies', function () { return view('pages.owner.supply'); })->name('owner.supply');
    Route::get('/sales', function () { return view('pages.owner.sales'); })->name('owner.sales');
});
Route::group([ 'prefix' => 'admin', 'middleware' => [AdminMiddleware::class, 'auth:sanctum', config('jetstream.auth_session'),]], function () {
    Route::get('/', function () { return view('pages.admin.dashboard'); })->name('admin.dashboard');
    Route::get('/users', function () { return view('pages.admin.users'); })->name('admin.users');
    Route::get('/shops', function () { return view('pages.admin.shops'); })->name('admin.shops');
    Route::get('/categories', function () { return view('pages.admin.categories'); })->name('admin.categories');  
});

/* Route::middleware([
    'auth:sanctum',
    config('jetstream.auth_session'),
    'verified',
])->group(function () {
    Route::get('/dashboard', function () {
        return view('dashboard');
    })->name('dashboard');
}); */
