<!DOCTYPE html>
<html lang="fr">
<head>
    <meta charset="UTF-8">
    <style>
        body { font-family: Arial, sans-serif; font-size: 12px; }
        .ticket { width: 250px; padding: 10px; border: 1px solid #000; }
        .center { text-align: center; }
        .line { border-bottom: 1px dashed #000; margin: 5px 0; }
        .total { font-weight: bold; }
    </style>
</head>
<body>
    <div class="ticket">
        <div class="center">
            <h2><?php echo e($sale->user->shop->name); ?></h2>
            <p><?php echo e($sale->user->shop->address); ?></p>
            <p>Tél: <?php echo e($sale->user->shop->phone); ?></p>
            <div class="line"></div>
            <p><strong>Ticket #<?php echo e($sale->invoice_number); ?></strong></p>
            <p>Date: <?php echo e($sale->created_at->format('d/m/Y H:i')); ?></p>
        </div>
        <div class="line"></div>
        <table width="100%">
            <?php $__currentLoopData = $sale->items; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <tr>
                <td><?php echo e($item->product->name); ?></td>
                <td><?php echo e($item->quantity); ?> x <?php echo e(number_format($item->product->price, 0, ',', ' ')); ?> CFA</td>
                <td><?php echo e(number_format($item->quantity * $item->product->price, 0, ',', ' ')); ?> CFA</td>
            </tr>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </table>
        <div class="line"></div>
        <table width="100%">
            <tr>
                <td class="total">Total</td>
                <td class="total"><?php echo e(number_format($sale->total, 0, ',', ' ')); ?> CFA</td>
            </tr>
            <?php if($sale->discount > 0): ?>
            <tr>
                <td>Remise</td>
                <td><?php echo e(number_format($sale->discount, 0, ',', ' ')); ?> CFA</td>
            </tr>
            <?php endif; ?>
            <?php if($sale->tax > 0): ?>
            <tr>
                <td>Taxe</td>
                <td><?php echo e(number_format($sale->tax, 0, ',', ' ')); ?> CFA</td>
            </tr>
            <?php endif; ?>
            <tr>
                <td class="total">Total</td>
                <td class="total"><?php echo e(number_format($sale->total_with_tax, 0, ',', ' ')); ?> CFA</td>
            </tr>
           
        </table>
        <div class="line"></div>
        <div class="center">
            <p>Merci de votre visite !</p>
        </div>
    </div>
</body>
</html>
<?php /**PATH /Applications/XAMPP/xamppfiles/htdocs/e-comerce-mini/resources/views/pages/owner/sales-print.blade.php ENDPATH**/ ?>